Package org.bukkit.event.player

# Class PlayerLocaleChangeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerLocaleChangeEvent

public class PlayerLocaleChangeEvent extends PlayerEvent
Called when a player changes their locale in the client settings.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerLocaleChangeEvent(@NotNull Player who, @NotNull String locale)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull String`
`getLocale()`
Deprecated.
in favour of `locale()`
`Locale`
`locale()`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerLocaleChangeEvent

public PlayerLocaleChangeEvent(@NotNull @NotNull Player who, @NotNull @NotNull String locale)

## Method Details

### locale

@NotNull public Locale locale()

Returns:
  the player's new locale
See Also:
  - `Player.getLocale()`

### getLocale

@NotNull @Deprecated public @NotNull String getLocale()
Deprecated.
in favour of `locale()`

Returns:
  the player's new locale
See Also:
  - `Player.getLocale()`

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()